@echo off

:: BlackBerry development token 
:: More information:
:: https://bdsc.webapps.blackberry.com/air/documentation/ww_air_testing/Create_a_debug_token_CMD_ms_1968147_11.html
:: http://www.hsharma.com/tutorials/10-easy-steps-to-package-and-sign-air-apps-for-playbook/
:: http://docs.blackberry.com/en/developers/deliverables/27280/Running_unsigned_apps_debug_tokens_1585072_11.jsp
:: http://openbbnews.wordpress.com/2011/11/16/installing-a-debug-token/
:: http://www.mellisdesigns.com/blog/?p=37

:: Path to Blackberry SDK
set PATH=%PATH%;C:\Program Files (x86)\Research in Motion\blackberry-tablet-sdk-2.0.0\bin

:: Path to Java
set PATH=%PATH%;C:\Program Files (x86)\Java\jre6\bin

echo First get CSJ from https://bdsc.webapps.blackberry.com/air/signingkeys
echo And start dev mode on PlayBook in Options > Security > Development Mode

:: begin setup
call blackberry-signer -csksetup -cskpass [YOUR_PASSWORD]

:: register CSJ locally
call blackberry-signer -register -csjpin [YOUR_PASSWORD] -cskpass [YOUR_PASSWORD] client-PBDT-[XXXXXXXXXX].csj

:: create p12 file
call blackberry-keytool -genkeypair -keystore author.p12 -storepass [YOUR_PASSWORD] -dname "cn=YOUR_NAME" -alias author

:: register device against CSJ
call blackberry-debugtokenrequest -register -csjpin [YOUR_DEVICE_ID] -storepass [YOUR_PASSWORD] client-PBDT-[XXXXXXXXXX].csj

:: not sure why blackberry looks here later for the p12
call copy author.p12 "C:\Users\[USER_NAME]\AppData\Local\Research In Motion\author.p12"

:: create the debug token BAR
call blackberry-debugtokenrequest -storepass [YOUR_PASSWORD] -devicepin [YOUR_DEVICE_ID] debug_token.bar

:: sign bar with RIM (remote)
call blackberry-signer -verbose -cskpass [YOUR_PASSWORD] -keystore author.p12 -storepass [YOUR_PASSWORD] debug_token.bar PBDT

:: sign bar with developer (local)
call blackberry-signer -keystore author.p12 -storepass [YOUR_PASSWORD] debug_token.bar author

:: upload debug token to playbook (must be in debug mode at this address & password)
call blackberry-deploy -installDebugToken debug_token.bar -device [DEVICE_IP_ADDRESS] -password [YOUR_PASSWORD]

:: echo important metadata
echo Add the following authorId to bar-descriptor.xml
call blackberry-airpackager -listManifest debug_token.bar

pause